import { Component, OnInit } from "@angular/core";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { FormBuilder, FormGroup, Validators } from "@angular/forms";
import { User } from "../users/user";
import { Router } from "@angular/router";

@Component({
  selector: "app-portal-category-list-approve",
  templateUrl: "./portal-category-list-approve.component.html",
  styleUrls: ["./portal-category-list-approve.component.scss"],
})
export class PortalCategoryListApproveComponent implements OnInit {
  constructor(
    private fb: FormBuilder,
    private modalService: NgbModal,
    private router:Router,
  ) {}
  get searchTerm(): string {
    return this._searchTerm;
  }
  set searchTerm(val: string) {
    this._searchTerm = val;
  }

  _searchTerm = "";

  page = 1;
  pageSize = 7;

  testdata: {
    id:string
    img: String;
    name: String;
    details: String;
    document: String;
  }[] = [];

  ngOnInit() {

    this.testdata = [
      {
        id:'1',
        img: "assets/images/icon/excel.png",
        name: "Excel",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 8 ฉบับ"
      },
      {
        id:'2',
        img: "assets/images/icon/document.png",
        name: "Document",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 3 ฉบับ"
      },
      {
        id:'3',
        img: "assets/images/icon/course.png",
        name: "Course",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 5 ฉบับ"
      },
    ];
  }
  openView(id:string){
    if(id =='1'){
      this.router.navigate(['apps/approve-excel']);
    } else if(id =='2'){
      this.router.navigate(['apps/approve-doc']);
    }else if(id =='3'){
      this.router.navigate(['apps/approve-course']);
    }
  }
  openModal(targetModal: NgbModal) {
    this.modalService.open(targetModal, {
      centered: true,
      backdrop: "static",
    });
  }

  closeBtnClick() {
    this.modalService.dismissAll();
    this.ngOnInit();
  }

  routerLink(path: String, type: String){
    this.router.navigate([path,{type:type}])
  }

}
